| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events | Private Member Functions | Private Attributes | List of all members
IG.Forms.InputParameterSelectorMinMax Class Reference

Selection of parameter to be varied, together with bounds - for parametric tests. More...

Inheritance diagram for IG.Forms.InputParameterSelectorMinMax:
[legend]
Collaboration diagram for IG.Forms.InputParameterSelectorMinMax:
[legend]

## Public Member Functions
| InputParameterSelectorMinMax ()
void | UpdateDataDefinition ()
| Updates data with accordance to data definitions in DataDefinition. More...
void | SetSelectedParameterId (int id)
| Replacement for the SelectedParameterId setter that has a lower access level. More...
void | UpdateSelectedParameterIdDependencies ()
| Updates things that depend on the selected parameter's index. More...

## Protected Member Functions
void | OnSelectedParameterIdChanged (int oldId, int newId)
| Raises the SelectedParameterIdChanged event. This method should be called preferrably, rather than the event itself. More...
void | OnSelectedParameterMinChanged (double oldValue, double newValue)
| Raises the SelectedParameterMinChanged event. This method should be called preferrably, rather than the event itself. More...
void | OnSelectedParameterMaxChanged (double oldValue, double newValue)
| Raises the SelectedParameterMaxChanged event. This method should be called preferrably, rather than the event itself. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
double[] | _minValues
double[] | _maxValues
int | _selectedParameterId = 0

## Properties
InputOutputDataDefiniton | DataDefinition`[get, set]`
| Data about input and output quantities of the manipulated functions or response. More...
string | TitleParameterSelection`[get, set]`
| String that appears in the label above parameter selector (title of parameter selection). More...
int | NumInputParameters`[get, set]`
| Gets number of input parameters. More...
int | NumOutputValues`[get, set]`
| Gets number of output values. More...
double[] | MinValues`[get, protected set]`
| Minimal values of input parameters, obtained from DataDefinition. More...
double[] | MaxValues`[get, protected set]`
int | SelectedParameterId`[get, protected set]`
| Sequential number of the selected parameter as specified by the user (usually through GUI). More...
double | SelectedParameterMin`[get]`
| Minimal value of the selected parameter. More...
double | SelectedParameterMax`[get]`
| Maximal value of the selected parameter as specified by the user. More...

## Events
System.EventHandler < IndexChangeEventArgs > | SelectedParameterIdChanged
| Occurs when selected input parameter ID is changed. More...
System.EventHandler < ValueChangeEventArgs > | SelectedParameterMinChanged
| Occurs when selected input parameter's minimal value is changed by the user (but only when it is changed through GUI). More...
System.EventHandler < ValueChangeEventArgs > | SelectedParameterMaxChanged
| Occurs when selected input parameter's maximal value is changed by the user (but only when it is changed through GUI). More...

## Private Member Functions
void | comboBoxSelection_SelectedIndexChanged (object sender, EventArgs e)
void | txtParamNum_ValueChanged (object sender, EventArgs e)
void | txtMinValue_TextChanged (object sender, EventArgs e)
void | txtMaxValue_TextChanged (object sender, EventArgs e)
void | txtMinValue_Validated (object sender, EventArgs e)
void | txtMaxValue_Validated (object sender, EventArgs e)
void | btnDecrease_Click (object sender, EventArgs e)
void | btnIncrease_Click (object sender, EventArgs e)
void | menuSummary_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
InputOutputDataDefiniton | _dataDefinition
int | _numInputParameters = 2
int | _numOutputValues = 2
double | _previousMinValue
double | _newMinvalue
double | _previousMaxValue
double | _newMaxValue
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.NumericUpDown | txtParamNum
System.Windows.Forms.TextBox | txtMaxValue
System.Windows.Forms.TextBox | txtMinValue
System.Windows.Forms.ComboBox | comboBoxSelection
System.Windows.Forms.Label | lblMax
System.Windows.Forms.Label | lblParamNum
System.Windows.Forms.Label | lblFrom
System.Windows.Forms.Label | lblSelectParameter
System.Windows.Forms.Panel | pnlMain
System.Windows.Forms.Button | btnIncrease
System.Windows.Forms.Button | btnDecrease
System.Windows.Forms.ContextMenuStrip | contextMenuStrip1
System.Windows.Forms.ToolStripMenuItem | menuSummary

## Detailed Description

Selection of parameter to be varied, together with bounds - for parametric tests.

$A Igor Apr13 March16;

## Constructor & Destructor Documentation

IG.Forms.InputParameterSelectorMinMax.InputParameterSelectorMinMax | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.InputParameterSelectorMinMax.UpdateDataDefinition | ( |  | ) |
| inline

Updates data with accordance to data definitions in DataDefinition.

References IG.Num.InputOutputElementDefinition.BoundsDefined, IG.Num.InputElementDefinition.DefaultValue, IG.Num.InputElementDefinition.DefaultValueDefined, IG.Num.InputOutputElementDefinition.MaximalValue, IG.Num.InputOutputElementDefinition.MinimalValue, IG.Num.InputOutputElementDefinition.Name, and IG.Num.InputOutputElementDefinition.Title.

void IG.Forms.InputParameterSelectorMinMax.OnSelectedParameterIdChanged | ( | int | oldId,
|  | int | newId
| ) |  |
| inline protected

Raises the SelectedParameterIdChanged event. This method should be called preferrably, rather than the event itself.

Parameters

  oldId | Old parameter Id.
  newId | New parameter Id.

void IG.Forms.InputParameterSelectorMinMax.OnSelectedParameterMinChanged | ( | double | oldValue,
|  | double | newValue
| ) |  |
| inline protected

Raises the SelectedParameterMinChanged event. This method should be called preferrably, rather than the event itself.

Parameters

  oldValue | Old minimal parameter value.
  newValue | New minimal parameter value.

void IG.Forms.InputParameterSelectorMinMax.OnSelectedParameterMaxChanged | ( | double | oldValue,
|  | double | newValue
| ) |  |
| inline protected

Raises the SelectedParameterMaxChanged event. This method should be called preferrably, rather than the event itself.

Parameters

  oldValue | Old maximal parameter value.
  newValue | New maximal parameter value.

void IG.Forms.InputParameterSelectorMinMax.SetSelectedParameterId | ( | int | id | ) |
| inline

Replacement for the SelectedParameterId setter that has a lower access level.

Parameters

  id | Sequential number of the output valuee to be selected.

void IG.Forms.InputParameterSelectorMinMax.UpdateSelectedParameterIdDependencies | ( |  | ) |
| inline

Updates things that depend on the selected parameter's index.

void IG.Forms.InputParameterSelectorMinMax.comboBoxSelection_SelectedIndexChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.txtParamNum_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.txtMinValue_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.txtMaxValue_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.txtMinValue_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.txtMaxValue_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.btnDecrease_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.btnIncrease_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.InputParameterSelectorMinMax.menuSummary_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.FadingMessage.Launch(), and IG.Forms.FadingMessage.LaunchedInParallelThread.

override void IG.Forms.InputParameterSelectorMinMax.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.InputParameterSelectorMinMax.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

InputOutputDataDefiniton IG.Forms.InputParameterSelectorMinMax._dataDefinition
| private

int IG.Forms.InputParameterSelectorMinMax._numInputParameters = 2
| private

int IG.Forms.InputParameterSelectorMinMax._numOutputValues = 2
| private

double [] IG.Forms.InputParameterSelectorMinMax._minValues
| protected

double [] IG.Forms.InputParameterSelectorMinMax._maxValues
| protected

int IG.Forms.InputParameterSelectorMinMax._selectedParameterId = 0
| protected

double IG.Forms.InputParameterSelectorMinMax._previousMinValue
| private

double IG.Forms.InputParameterSelectorMinMax._newMinvalue
| private

double IG.Forms.InputParameterSelectorMinMax._previousMaxValue
| private

double IG.Forms.InputParameterSelectorMinMax._newMaxValue
| private

System.ComponentModel.IContainer IG.Forms.InputParameterSelectorMinMax.components = null
| private

Required designer variable.

System.Windows.Forms.NumericUpDown IG.Forms.InputParameterSelectorMinMax.txtParamNum
| private

System.Windows.Forms.TextBox IG.Forms.InputParameterSelectorMinMax.txtMaxValue
| private

System.Windows.Forms.TextBox IG.Forms.InputParameterSelectorMinMax.txtMinValue
| private

System.Windows.Forms.ComboBox IG.Forms.InputParameterSelectorMinMax.comboBoxSelection
| private

System.Windows.Forms.Label IG.Forms.InputParameterSelectorMinMax.lblMax
| private

System.Windows.Forms.Label IG.Forms.InputParameterSelectorMinMax.lblParamNum
| private

System.Windows.Forms.Label IG.Forms.InputParameterSelectorMinMax.lblFrom
| private

System.Windows.Forms.Label IG.Forms.InputParameterSelectorMinMax.lblSelectParameter
| private

System.Windows.Forms.Panel IG.Forms.InputParameterSelectorMinMax.pnlMain
| private

System.Windows.Forms.Button IG.Forms.InputParameterSelectorMinMax.btnIncrease
| private

System.Windows.Forms.Button IG.Forms.InputParameterSelectorMinMax.btnDecrease
| private

System.Windows.Forms.ContextMenuStrip IG.Forms.InputParameterSelectorMinMax.contextMenuStrip1
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.InputParameterSelectorMinMax.menuSummary
| private

## Property Documentation

InputOutputDataDefiniton IG.Forms.InputParameterSelectorMinMax.DataDefinition
| get set

Data about input and output quantities of the manipulated functions or response.

string IG.Forms.InputParameterSelectorMinMax.TitleParameterSelection
| get set

String that appears in the label above parameter selector (title of parameter selection).

This can be used to change the title in the case there are more than one input parameters selected, or a customized title is desired.

int IG.Forms.InputParameterSelectorMinMax.NumInputParameters
| get set

Gets number of input parameters.

int IG.Forms.InputParameterSelectorMinMax.NumOutputValues
| get set

Gets number of output values.

double [] IG.Forms.InputParameterSelectorMinMax.MinValues
| get protected set

Minimal values of input parameters, obtained from DataDefinition.

double [] IG.Forms.InputParameterSelectorMinMax.MaxValues
| get protected set

int IG.Forms.InputParameterSelectorMinMax.SelectedParameterId
| get protected set

Sequential number of the selected parameter as specified by the user (usually through GUI).

double IG.Forms.InputParameterSelectorMinMax.SelectedParameterMin
| get

Minimal value of the selected parameter.

double IG.Forms.InputParameterSelectorMinMax.SelectedParameterMax
| get

Maximal value of the selected parameter as specified by the user.

## Event Documentation

System.EventHandler<IndexChangeEventArgs> IG.Forms.InputParameterSelectorMinMax.SelectedParameterIdChanged

Occurs when selected input parameter ID is changed.

System.EventHandler<ValueChangeEventArgs> IG.Forms.InputParameterSelectorMinMax.SelectedParameterMinChanged

Occurs when selected input parameter's minimal value is changed by the user (but only when it is changed through GUI).

System.EventHandler<ValueChangeEventArgs> IG.Forms.InputParameterSelectorMinMax.SelectedParameterMaxChanged

Occurs when selected input parameter's maximal value is changed by the user (but only when it is changed through GUI).

The documentation for this class was generated from the following files:

- extensions/iglibext/Forms/Numeric/FromNeural/Basic/ParametricInputParameterSelectorMinMax.cs
- extensions/iglibext/Forms/Numeric/FromNeural/Basic/ParametricInputParameterSelectorMinMax.Designer.cs